/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/CascadeStyleSheet.css to edit this template
*/
/* 
    Created on : Feb 2, 2024, 3:03:50 PM
    Author     : imamr
*/

.top-form{
    -fx-background-color: #fff;
    -fx-border-color: #000;
    -fx-border-width: .4px .4px .2px .4px;
}

.semi-top{
    -fx-background-color: #efefef;
    -fx-border-color: #000;
    -fx-border-width: .2px .4px .4px .4px;
}

.close{
    -fx-background-color: transparent;
    -fx-cursor:hand;
}
.close:hover{
    -fx-background-color: #ee5363;
}

.minimize{
    -fx-background-color: transparent;
    -fx-cursor:hand;
}
.minimize:hover{
    -fx-background-color: #ddd;
}

.nav1{
    -fx-background-color: linear-gradient(to bottom right, #25bcbf, #3796a7);
    -fx-background-radius: 5px;
}

.nav2{
    -fx-background-color: #fff;
    -fx-background-radius: 5px;
}

.shadow{
    -fx-effect: dropshadow(three-pass-box, rgba(0,0,0,0.5), 8,0,0,0);
}

.nav-btn{
    -fx-background-color: transparent;
    -fx-font-size: 14px;
    -fx-font-family: Arial;
    -fx-cursor:hand;
    -fx-text-fill: #000;
    -fx-border-color: #ddd;
    -fx-border-width: 1px;
}
.nav-btn:hover{
    -fx-background-color: #3796a7;
    -fx-text-fill: #fff;
    -fx-border-width: 0px;
}

.signout{
    -fx-background-color: #3796a7;
    -fx-background-radius: 5px;
    -fx-cursor: hand;
}
.signout:hover{
    -fx-background-color: #ee5363;
}

.white-bg{
    -fx-background-color: #fff;
    -fx-background-radius: 6px;
}

.card{
    -fx-background-color: #3796a7;
    -fx-background-radius: 2px 8px 8px 2px;
}


.textfield{
    -fx-background-color: #eee;
    -fx-font-family: Tahoma;
    -fx-border-color: #25bcbf;
    -fx-border-width: .5px;
}
.textfield:focused{
    -fx-border-width: 1.5px;
    -fx-background-color: #f5f5f5;
}

.add-btn{
    -fx-background-color: #3a6690;
    -fx-background-radius: 4px;
    -fx-cursor: hand;
    -fx-font-family: Arial;
    -fx-font-size: 14px;
    -fx-text-fill: #fff;
}
.add-btn:hover{
    -fx-background-color: #3982c5;
}

.update-btn{
    -fx-background-color: #398c5e;
    -fx-background-radius: 4px;
    -fx-cursor: hand;
    -fx-font-family: Arial;
    -fx-font-size: 14px;
    -fx-text-fill: #fff;
}
.update-btn:hover{
    -fx-background-color: #30a761;
}

.clear-btn{
    -fx-background-color: #873a8e;
    -fx-background-radius: 4px;
    -fx-cursor: hand;
    -fx-font-family: Arial;
    -fx-font-size: 14px;
    -fx-text-fill: #fff;
}
.clear-btn:hover{
    -fx-background-color: #a432ae;
}

.delete-btn{
    -fx-background-color: #9a3641;
    -fx-background-radius: 4px;
    -fx-cursor: hand;
    -fx-font-family: Arial;
    -fx-font-size: 14px;
    -fx-text-fill: #fff;
}
.delete-btn:hover{
    -fx-background-color: #b12d3c;
}

.search{
    -fx-background-color: #f5f5f5;
    -fx-border-width: 1.2px;
    -fx-border-radius: 6px;
    -fx-border-color: #3796a7;
    -fx-font-size: 13px;
    -fx-padding: 0px 0px 0px 28px;
}
.search:focused{
    -fx-background-color: #fff;
}

.table-view{
    -fx-background-color: transparent;
    -fx-border-color: linear-gradient(to bottom right, #25bcbf, #3796a7);
    -fx-border-radius: 8px;
    -fx-border-width: 2px;
    -fx-padding: 0px;
}
.table-view .table-column{
    -fx-alignment: CENTER;
}
.table-view .column-header-background{
    -fx-background-color: linear-gradient(to bottom right, #25bcbf, #3796a7);
    -fx-background-radius: 8px 8px 0px 0px;
}
.table-view .column-header{
    -fx-background-color: transparent;
    -fx-size: 40px;
}
.table-view .column-header .label{
    -fx-text-fill: #fff;
    -fx-font-family: Arial;
}

